.topnav-menu {
    position: absolute;
    left: 1em;
    top: 1em;
    width: calc(100% - 2em);
    z-index: 1;
    background-color: var(--colour-dark);
    opacity: 90%;
}

.topnav-menu ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

.topnav-menu li {
    float: left;
    display: block;
    color: var(--colour-light);
    text-align: center;
    padding:0;
    background-color: var(--colour-dark);
}

.topnav-menu a {
    display: block;
    padding: 16px 16px;
}

.topnav-menu li:hover {
    background-color: var(--colour-medium);
    color: var(--colour-dark);
}

.topnav-menu li.active {
    background-color: var(--colour-medium);
}

.topnav-menu a {
    text-decoration: none;
}

.topnav-menu a:link {
    color: var(--colour-light);
}

.topnav-menu a:visited {
    color: var(--colour-light);
}

.topnav-menu li.burger-menu {
    display: none;
    float: right;
    background-image: url("../media/burger.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 1.5em;
}

.topnav-menu li.text-menu {
    display: block;
}

.topnav-menu.responsive {
    opacity: 100%;
}

.topnav-menu.responsive li {
    float: none;
    display: block;
    text-align: left;
}

.topnav-menu.responsive li.burger-menu {
    float: right;
}

/* switch to burger nav on small screens */
@media screen and (max-width: 44em) {
    .topnav-menu li.text-menu:not(.active){
        display: none;
    }

    .topnav-menu li.burger-menu {
        display: block;
    }

    .topnav-menu.responsive li.text-menu {
        display: block;
    }
}